package io.provis.nexus;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

public class NexusProvisioningContext {
  private String version;
  private File installationDirectory;
  private File workDirectory;
  private List<String> plugins;
  private List<String> realms;
  private int port = 8081;
  
  public NexusProvisioningContext() {
    this.plugins = new ArrayList<String>();
    this.realms = new ArrayList<String>();
  }

  public String getVersion() {
    return version;
  }

  public void setVersion(String version) {
    this.version = version;
  }  
  
  public File getInstallationDirectory() {
    return installationDirectory;
  }

  public void setInstallationDirectory(File installationDirectory) {
    this.installationDirectory = installationDirectory;
  }

  public File getWorkDirectory() {
    return workDirectory;
  }

  public void setWorkDirectory(File workDirectory) {
    this.workDirectory = workDirectory;
  }
  
  public List<String> getPlugins() {
    return plugins;
  }
  
  public void addPlugin(String plugin) {
    plugins.add(plugin);
  }

  public int getPort() {
    return port;
  }

  public void setPort(int port) {
    this.port = port;
  }

  public void addRealm(String string) {
    realms.add(string);
  }

  public List<String> getRealms() {
    return realms;
  }  
}
