package io.provis.utils;

import java.io.Closeable;
import java.io.File;
import java.net.URL;
import java.util.Properties;

public interface IO
{

    void close( Closeable closeable );

    boolean delete( File path );

    void copy( File src, File dst );

    void copy( URL src, File dst );

    String read( File file, String encoding );

    String read( URL url, String encoding );

    void write( File file, String encoding, String text );

    void unzip( File zipFile, File outputDirectory );

    Properties loadProperties( File file, Properties props );

    void saveProperties( File file, Properties props );

}
